Send a power on command for an SBM server

POST/v1/hosts/sbm_servers/{server_id}/power_on

A server can be powered on with a POST request to /v1/hosts/sbm_servers/{server_id}/power_on. Its ID is a mandatory path parameter.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

server_id*string

A unique identifier of an SBM server. To get SBM server IDs, use a request to list all hosts and filter results by the sbm_server type.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/hosts/sbm_servers/w9aAKjdv/power_on"
{  "id": "w9aAKjdv",  "rack_id": "Vyb8lgbv",  "title": "title675",  "location_id": 1322,  "location_code": "location2747",  "status": "active",  "operational_status": "normal",  "power_status": "powering_on",  "configuration": "REMM R123",  "private_ipv4_address": "10.0.0.123",  "public_ipv4_address": "169.254.0.123",  "lease_start_at": "2026-05-25",  "scheduled_release_at": null,  "type": "sbm_server",  "oob_ipv4_address": null,  "configuration_details": {    "ram_size": 2,    "bandwidth_id": 21,    "bandwidth_name": "20000 GB",    "public_uplink_id": 51,    "private_uplink_id": 52,    "public_uplink_name": "Public 1 Gbps without redundancy",    "operating_system_id": 21,    "private_uplink_name": "Private 1 Gbps without redundancy",    "sbm_flavor_model_id": 62,    "sbm_flavor_model_name": "sbm-flavor-model-693",    "operating_system_full_name": "CentOS 7 x86_64"  },  "labels": {    "environment": "production",    "service": "my-web-app",    "example.com/project": "my-project",    "example.com/owner": "my-team"  },  "created_at": "2026-05-28T07:03:39Z",  "updated_at": "2026-05-28T07:03:39Z"}
{  "message": "Not found",  "code": "NOT_FOUND"}
{  "message": "Power management operation already in process",  "code": "CONFLICT"}
{  "message": "Host is not ready",  "code": "PRECONDITION_FAILED"}